/**
 * Detects if there is a potential command injection vulnerability in a given string.
 *
 * @param input - The string to analyze.
 * @returns `true` if a potential command injection vulnerability is detected, otherwise `false`.
 *
 * @remarks
 * This function uses a series of regular expressions to look for common command injection patterns in the input string.
 * Patterns include shell operators, command substitution, backticks, and common command execution functions.
 *
 * @example
 * ```typescript
 * const input = "ls; cat /etc/passwd";
 * const isCommandInjection = detectCommandInjection(input);
 * console.log(isCommandInjection); // Output: true
 * ```
 *
 * @autor Andres Gutierrez Velez
 * @since 21/06/2024
 * @contact sr.willardkraft@gmail.com
 */
export declare function detectCommandInjection(input: string): boolean;
