const XSS_PATTERNS = [
  /<script\b[^<]*(?:(?!<\/script>)<[^<]*)*<\/script>/gi,
  /<.*?on\w+=["'].*?["'].*?>/gi,
  /\bjavascript:/gi,
  /\bvbscript:/gi,
  /<iframe\b[^<]*(?:(?!<\/iframe>)<[^<]*)*<\/iframe>/gi,
  /<.*?style=["'].*?expression.*?["'].*?>/gi,
  /<img\b[^<]*?src=["'].*?["'][^<]*?>/gi,
  /<link\b[^<]*?href=["'].*?["'][^<]*?>/gi,
  /<object\b[^<]*(?:(?!<\/object>)<[^<]*)*<\/object>/gi,
  /<embed\b[^<]*(?:(?!<\/embed>)<[^<]*)*<\/embed>/gi,
  /<applet\b[^<]*(?:(?!<\/applet>)<[^<]*)*<\/applet>/gi,
  /<base\b[^<]*?href=["'].*?["'][^<]*?>/gi,
  /<form\b[^<]*?action=["'].*?["'][^<]*?>/gi,
  /<meta\b[^<]*?content=["'].*?["'][^<]*?>/gi,
  /<!--.*?-->/gi,
  /<svg\b[^<]*(?:(?!<\/svg>)<[^<]*)*<\/svg>/gi,
  /<audio\b[^<]*(?:(?!<\/audio>)<[^<]*)*<\/audio>/gi,
  /<video\b[^<]*(?:(?!<\/video>)<[^<]*)*<\/video>/gi,
  /<source\b[^<]*?src=["'].*?["'][^<]*?>/gi,
  /<track\b[^<]*?src=["'].*?["'][^<]*?>/gi,
  /<textarea\b[^<]*(?:(?!<\/textarea>)<[^<]*)*<\/textarea>/gi,
  /<input\b[^<]*?type=["'].*?["'][^<]*?>/gi,
  /<button\b[^<]*?type=["'].*?["'][^<]*?>/gi,
  /<select\b[^<]*(?:(?!<\/select>)<[^<]*)*<\/select>/gi,
  /<option\b[^<]*(?:(?!<\/option>)<[^<]*)*<\/option>/gi,
  /\balert\b\s*\(/gi,
  /\bconfirm\b\s*\(/gi,
  /\bprompt\b\s*\(/gi,
  /\bwindow\.location\b\s*=/gi,
  /\bdocument\.cookie\b/gi,
  /\bdocument\.write\b\s*\(/gi,
  /\binnerHTML\b\s*=/gi,
  /\bouterHTML\b\s*=/gi,
];

export function detectXSS(input: string): boolean {
  return XSS_PATTERNS.some((pattern) => pattern.test(input));
}
